import request from '@/utils/request'

// 查询健康档案列表
export function listHealthRecord(query) {
  return request({
    url: '/health/healthRecord/list',
    method: 'get',
    params: query
  })
}

// 查询健康档案详细
export function getHealthRecord(id) {
  return request({
    url: '/health/healthRecord/' + id,
    method: 'get'
  })
}

// 新增健康档案
export function addHealthRecord(data) {
  return request({
    url: '/health/healthRecord',
    method: 'post',
    data
  })
}

// 修改健康档案
export function updateHealthRecord(data) {
  return request({
    url: '/health/healthRecord',
    method: 'put',
    data
  })
}

// 删除健康档案
export function delHealthRecord(id) {
  return request({
    url: '/health/healthRecord/' + id,
    method: 'delete'
  })
}
